# Custom validator 
- isUri validator 

# Routing 
- Create dashboard component
- Add navigation menu 
  - List by default
  - View video
  - Edit video 
  - New video

# Promise API
- replace services with promise
- change components to consume promises

